Subject: bug#15934: [Feature request] Highlight full lines

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Aug 2019 19:52:43 +0200

Michael Heerdegen <[email-masked]> writes:

> Hi Sebastien,
>
>> I think it'd be nicer to highlight full lines (vs up to the last character)
>> when using C-x w l (highlight-lines-matching-regexp).
>
> I too think that this would be more appropriate.  Something like
> the following should do the job:
>
> *** /home/micha/software/emacs/lisp/hi-lock.el    2013-10-26 18:26:42.117620602 +0200
> --- /home/micha/today/hi-lock.el    2013-12-11 02:31:03.251432385 +0100
> ***************
> *** 448,454 ****
>     (hi-lock-set-pattern
>      ;; The \\(?:...\\) grouping construct ensures that a leading ^, +, * or ?
>      ;; or a trailing $ in REGEXP will be interpreted correctly.
> !    (concat "^.*\\(?:" regexp "\\).*$") face))
>
>
>   ;;;###autoload
> --- 448,454 ----
>     (hi-lock-set-pattern
>      ;; The \\(?:...\\) grouping construct ensures that a leading ^, +, * or ?
>      ;; or a trailing $ in REGEXP will be interpreted correctly.
> !    (concat "^.*\\(?:" regexp "\\).*\\($\\)\n?") face))
>
>
>   ;;;###autoload
>
>
> Can we use this?
>
>
> Regards,
>
> Michael.

The suggested change works here, and I think the new behaviour makes
more sense.  The user would want this to stand out, and it can be hard
to spot short lines.

Are there any objections to making this change?  If there are none,
could you Michael please consider committing this to master?

Thanks,
Stefan Kangas